## ucspi-tcp 0.84

=== Makefile ===
# Don't edit Makefile! Use conf-* for configuration.

SHELL=/bin/sh

default: it

addcr: \
load addcr.o substdio.a error.a str.a
	./load addcr substdio.a error.a str.a 

addcr.0: \
addcr.1
	nroff -man addcr.1 > addcr.0

addcr.o: \
compile addcr.c substdio.h subfd.h substdio.h exit.h
	./compile addcr.c

alloc.0: \
alloc.3
	nroff -man alloc.3 > alloc.0

alloc.a: \
makelib alloc.o alloc_re.o
	./makelib alloc.a alloc.o alloc_re.o

alloc.o: \
compile alloc.c alloc.h error.h
	./compile alloc.c

alloc_re.o: \
compile alloc_re.c alloc.h byte.h
	./compile alloc_re.c

argv0: \
load argv0.o strerr.a substdio.a error.a str.a
	./load argv0 strerr.a substdio.a error.a str.a 

argv0.0: \
argv0.1
	nroff -man argv0.1 > argv0.0

argv0.o: \
compile argv0.c strerr.h
	./compile argv0.c

auto-str: \
load auto-str.o substdio.a error.a str.a
	./load auto-str substdio.a error.a str.a 

auto-str.o: \
compile auto-str.c substdio.h readwrite.h exit.h
	./compile auto-str.c

auto_home.c: \
auto-str conf-home
	./auto-str auto_home `head -1 conf-home` > auto_home.c

auto_home.o: \
compile auto_home.c
	./compile auto_home.c

byte_chr.o: \
compile byte_chr.c byte.h
	./compile byte_chr.c

byte_copy.o: \
compile byte_copy.c byte.h
	./compile byte_copy.c

byte_cr.o: \
compile byte_cr.c byte.h
	./compile byte_cr.c

byte_diff.o: \
compile byte_diff.c byte.h
	./compile byte_diff.c

byte_rchr.o: \
compile byte_rchr.c byte.h
	./compile byte_rchr.c

byte_zero.o: \
compile byte_zero.c byte.h
	./compile byte_zero.c

case.0: \
case.3
	nroff -man case.3 > case.0

case.a: \
makelib case_lowers.o
	./makelib case.a case_lowers.o

case_lowers.o: \
compile case_lowers.c case.h
	./compile case_lowers.c

cdb.0: \
cdb.3
	nroff -man cdb.3 > cdb.0

cdb.a: \
makelib cdb_hash.o cdb_unpack.o cdb_seek.o
	./makelib cdb.a cdb_hash.o cdb_unpack.o cdb_seek.o

cdb_hash.o: \
compile cdb_hash.c cdb.h uint32.h
	./compile cdb_hash.c

cdb_seek.o: \
compile cdb_seek.c cdb.h uint32.h
	./compile cdb_seek.c

cdb_unpack.o: \
compile cdb_unpack.c cdb.h uint32.h
	./compile cdb_unpack.c

cdbmake.a: \
makelib cdbmake_pack.o cdbmake_hash.o cdbmake_add.o
	./makelib cdbmake.a cdbmake_pack.o cdbmake_hash.o \
	cdbmake_add.o

cdbmake_add.o: \
compile cdbmake_add.c cdbmake.h uint32.h
	./compile cdbmake_add.c

cdbmake_hash.o: \
compile cdbmake_hash.c cdbmake.h uint32.h
	./compile cdbmake_hash.c

cdbmake_pack.o: \
compile cdbmake_pack.c cdbmake.h uint32.h
	./compile cdbmake_pack.c

cdbmss.o: \
compile cdbmss.c readwrite.h seek.h alloc.h cdbmss.h cdbmake.h \
uint32.h substdio.h
	./compile cdbmss.c

check: \
it instcheck
	./instcheck

compile: \
warn-auto.sh conf-cc
	( cat warn-auto.sh; \
	echo exec "`head -1 conf-cc`" '-c $${1+"$$@"}' \
	) > compile
	chmod 755 compile

date@: \
warn-auto.sh date@.sh conf-home
	cat warn-auto.sh date@.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	> date@
	chmod 755 date@

date@.0: \
date@.1
	nroff -man date@.1 > date@.0

delcr: \
load delcr.o substdio.a error.a str.a
	./load delcr substdio.a error.a str.a 

delcr.0: \
delcr.1
	nroff -man delcr.1 > delcr.0

delcr.o: \
compile delcr.c substdio.h subfd.h substdio.h exit.h
	./compile delcr.c

dns.lib: \
tryrsolv.c compile load socket.lib
	( ( ./compile tryrsolv.c && ./load tryrsolv \
	-lresolv `cat socket.lib` ) >/dev/null 2>&1 \
	&& echo -lresolv || exit 0 ) > dns.lib
	rm -f tryrsolv.o tryrsolv

dns.o: \
compile dns.c ip.h ipalloc.h ip.h gen_alloc.h fmt.h alloc.h str.h \
stralloc.h gen_alloc.h dns.h case.h
	./compile dns.c

env.0: \
env.3
	nroff -man env.3 > env.0

env.a: \
makelib env.o envread.o
	./makelib env.a env.o envread.o

env.o: \
compile env.c str.h alloc.h env.h
	./compile env.c

envread.o: \
compile envread.c env.h str.h
	./compile envread.c

error.0: \
error.3
	nroff -man error.3 > error.0

error.a: \
makelib error.o error_str.o
	./makelib error.a error.o error_str.o

error.o: \
compile error.c error.h
	./compile error.c

error_str.0: \
error_str.3
	nroff -man error_str.3 > error_str.0

error_str.o: \
compile error_str.c error.h
	./compile error_str.c

fd.a: \
makelib fd_copy.o fd_move.o
	./makelib fd.a fd_copy.o fd_move.o

fd_copy.0: \
fd_copy.3
	nroff -man fd_copy.3 > fd_copy.0

fd_copy.o: \
compile fd_copy.c fd.h
	./compile fd_copy.c

fd_move.0: \
fd_move.3
	nroff -man fd_move.3 > fd_move.0

fd_move.o: \
compile fd_move.c fd.h
	./compile fd_move.c

finger@: \
warn-auto.sh finger@.sh conf-home
	cat warn-auto.sh finger@.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	> finger@
	chmod 755 finger@

finger@.0: \
finger@.1
	nroff -man finger@.1 > finger@.0

fixcr: \
load fixcr.o substdio.a error.a str.a
	./load fixcr substdio.a error.a str.a 

fixcr.0: \
fixcr.1
	nroff -man fixcr.1 > fixcr.0

fixcr.o: \
compile fixcr.c substdio.h subfd.h substdio.h exit.h
	./compile fixcr.c

fmt_str.o: \
compile fmt_str.c fmt.h
	./compile fmt_str.c

fmt_ulong.o: \
compile fmt_ulong.c fmt.h
	./compile fmt_ulong.c

fs.a: \
makelib fmt_str.o fmt_ulong.o scan_ulong.o
	./makelib fs.a fmt_str.o fmt_ulong.o scan_ulong.o

getln.0: \
getln.3
	nroff -man getln.3 > getln.0

getln.a: \
makelib getln.o getln2.o
	./makelib getln.a getln.o getln2.o

getln.o: \
compile getln.c substdio.h byte.h stralloc.h gen_alloc.h getln.h
	./compile getln.c

getln2.0: \
getln2.3
	nroff -man getln2.3 > getln2.0

getln2.o: \
compile getln2.c substdio.h stralloc.h gen_alloc.h byte.h getln.h
	./compile getln2.c

getopt.a: \
makelib subgetopt.o sgetopt.o
	./makelib getopt.a subgetopt.o sgetopt.o

hassgact.h: \
trysgact.c compile load
	( ( ./compile trysgact.c && ./load trysgact ) >/dev/null \
	2>&1 \
	&& echo \#define HASSIGACTION 1 || exit 0 ) > hassgact.h
	rm -f trysgact.o trysgact

hassgprm.h: \
trysgprm.c compile load
	( ( ./compile trysgprm.c && ./load trysgprm ) >/dev/null \
	2>&1 \
	&& echo \#define HASSIGPROCMASK 1 || exit 0 ) > hassgprm.h
	rm -f trysgprm.o trysgprm

haswaitp.h: \
trywaitp.c compile load
	( ( ./compile trywaitp.c && ./load trywaitp ) >/dev/null \
	2>&1 \
	&& echo \#define HASWAITPID 1 || exit 0 ) > haswaitp.h
	rm -f trywaitp.o trywaitp

hier.o: \
compile hier.c auto_home.h
	./compile hier.c

http@: \
warn-auto.sh http@.sh conf-home
	cat warn-auto.sh http@.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	> http@
	chmod 755 http@

http@.0: \
http@.1
	nroff -man http@.1 > http@.0

install: \
load install.o hier.o auto_home.o strerr.a substdio.a open.a error.a \
str.a
	./load install hier.o auto_home.o strerr.a substdio.a \
	open.a error.a str.a 

install.o: \
compile install.c substdio.h strerr.h error.h open.h readwrite.h \
exit.h
	./compile install.c

instcheck: \
load instcheck.o hier.o auto_home.o strerr.a substdio.a error.a str.a
	./load instcheck hier.o auto_home.o strerr.a substdio.a \
	error.a str.a 

instcheck.o: \
compile instcheck.c strerr.h error.h readwrite.h exit.h
	./compile instcheck.c

ip.o: \
compile ip.c fmt.h scan.h ip.h
	./compile ip.c

ipalloc.o: \
compile ipalloc.c alloc.h gen_allocdefs.h ip.h ipalloc.h ip.h \
gen_alloc.h
	./compile ipalloc.c

it: \
man prog install instcheck

load: \
warn-auto.sh conf-ld
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo exec "`head -1 conf-ld`" \
	'-o "$$main" "$$main".o $${1+"$$@"}' \
	) > load
	chmod 755 load

makelib: \
warn-auto.sh systype
	( cat warn-auto.sh; \
	echo 'main="$$1"; shift'; \
	echo 'rm -f "$$main"'; \
	echo 'ar cr "$$main" $${1+"$$@"}'; \
	case "`cat systype`" in \
	sunos-5.*) ;; \
	unix_sv*) ;; \
	irix64-*) ;; \
	irix-*) ;; \
	dgux-*) ;; \
	hp-ux-*) ;; \
	sco*) ;; \
	*) echo 'ranlib "$$main"' ;; \
	esac \
	) > makelib
	chmod 755 makelib

man: \
tcpclient.0 tcpserver.0 tcprules.0 tcprulescheck.0 tcp-environ.0 \
who@.0 date@.0 finger@.0 http@.0 tcpcat.0 mconnect.0 fixcr.0 addcr.0 \
delcr.0 argv0.0 recordio.0 error.0 error_str.0 alloc.0 case.0 cdb.0 \
env.0 fd_copy.0 fd_move.0 getln.0 getln2.0 sgetopt.0 subgetopt.0 \
stralloc.0 wait.0

mconnect: \
warn-auto.sh mconnect.sh conf-home
	cat warn-auto.sh mconnect.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	> mconnect
	chmod 755 mconnect

mconnect-io: \
load mconnect-io.o strerr.a substdio.a error.a str.a wait.a sig.a
	./load mconnect-io strerr.a substdio.a error.a str.a \
	wait.a sig.a 

mconnect-io.o: \
compile mconnect-io.c sig.h substdio.h strerr.h readwrite.h exit.h
	./compile mconnect-io.c

mconnect.0: \
mconnect.1
	nroff -man mconnect.1 > mconnect.0

ndelay.a: \
makelib ndelay.o ndelay_off.o
	./makelib ndelay.a ndelay.o ndelay_off.o

ndelay.o: \
compile ndelay.c ndelay.h
	./compile ndelay.c

ndelay_off.o: \
compile ndelay_off.c ndelay.h
	./compile ndelay_off.c

open.a: \
makelib open_read.o open_trunc.o
	./makelib open.a open_read.o open_trunc.o

open_read.o: \
compile open_read.c open.h
	./compile open_read.c

open_trunc.o: \
compile open_trunc.c open.h
	./compile open_trunc.c

prog: \
tcpclient tcpserver tcprules tcprulescheck who@ date@ finger@ http@ \
tcpcat mconnect mconnect-io fixcr addcr delcr argv0 recordio rts

recordio: \
load recordio.o strerr.a substdio.a error.a str.a fs.a fd.a sig.a
	./load recordio strerr.a substdio.a error.a str.a fs.a \
	fd.a sig.a 

recordio.0: \
recordio.1
	nroff -man recordio.1 > recordio.0

recordio.o: \
compile recordio.c sig.h substdio.h strerr.h str.h byte.h readwrite.h \
exit.h fmt.h select.h
	./compile recordio.c

remoteinfo.o: \
compile remoteinfo.c byte.h substdio.h ip.h fmt.h timeoutconn.h \
timeoutread.h timeoutwrite.h remoteinfo.h
	./compile remoteinfo.c

rts: \
warn-auto.sh rts.sh conf-home
	cat warn-auto.sh rts.sh \
	| sed s}HOME}"`head -1 conf-home`"}g \
	> rts
	chmod 755 rts

scan_ulong.o: \
compile scan_ulong.c scan.h
	./compile scan_ulong.c

seek.a: \
makelib seek_set.o
	./makelib seek.a seek_set.o

seek_set.o: \
compile seek_set.c seek.h
	./compile seek_set.c

select.h: \
compile trysysel.c select.h1 select.h2
	( ./compile trysysel.c >/dev/null 2>&1 \
	&& cat select.h2 || cat select.h1 ) > select.h
	rm -f trysysel.o trysysel

setup: \
it install
	./install

sgetopt.0: \
sgetopt.3
	nroff -man sgetopt.3 > sgetopt.0

sgetopt.o: \
compile sgetopt.c substdio.h subfd.h substdio.h sgetopt.h subgetopt.h \
subgetopt.h
	./compile sgetopt.c

shar: \
FILES BLURB README TODO THANKS CHANGES UCSPI TCP FILES VERSION \
SYSDEPS TARGETS Makefile tcpclient.1 tcpclient.c who@.1 who@.sh \
date@.1 date@.sh finger@.1 finger@.sh http@.1 http@.sh tcpcat.1 \
tcpcat.sh mconnect.1 mconnect.sh mconnect-io.c delcr.1 delcr.c \
addcr.1 addcr.c fixcr.1 fixcr.c tcpserver.1 tcpserver.c tcprules.1 \
tcprules.c tcprulescheck.1 tcprulescheck.c tcp-environ.5 recordio.1 \
recordio.c argv0.1 argv0.c rts.sh rts.tests rts.exp conf-cc conf-ld \
find-systype.sh trycpp.c warn-auto.sh INSTALL hier.c conf-home \
auto-str.c auto_home.h install.c instcheck.c substdio.h substdio.c \
substdi.c substdo.c substdio_copy.c subfd.h subfderr.c subfdout.c \
subfdin.c readwrite.h exit.h strerr.h strerr_sys.c strerr_die.c \
error.3 error_str.3 error.h error.c error_str.c open.h open_read.c \
open_trunc.c byte.h byte_chr.c byte_copy.c byte_cr.c byte_diff.c \
byte_rchr.c byte_zero.c str.h str_chr.c str_cpy.c str_diff.c \
str_diffn.c str_len.c alloc.3 alloc.h alloc.c alloc_re.c case.3 \
case.h case_lowers.c cdb.3 cdb.h cdb_hash.c cdb_seek.c cdb_unpack.c \
cdbmake.h cdbmake_add.c cdbmake_hash.c cdbmake_pack.c cdbmss.h \
cdbmss.c dns.h dns.c trylsock.c tryrsolv.c env.3 env.h env.c \
envread.c fd.h fd_copy.3 fd_copy.c fd_move.3 fd_move.c fmt.h \
fmt_str.c fmt_ulong.c scan.h scan_ulong.c getln.3 getln.h getln.c \
getln2.3 getln2.c sgetopt.3 sgetopt.h sgetopt.c subgetopt.3 \
subgetopt.h subgetopt.c ip.h ip.c ipalloc.h ipalloc.c ndelay.h \
ndelay.c ndelay_off.c remoteinfo.h remoteinfo.c seek.h seek_set.c \
select.h1 select.h2 trysysel.c sig.h sig_block.c sig_catch.c \
sig_pause.c sig_pipe.c sig_child.c sig_term.c trysgact.c trysgprm.c \
gen_alloc.h gen_allocdefs.h stralloc.3 stralloc.h stralloc_eady.c \
stralloc_pend.c stralloc_copy.c stralloc_opyb.c stralloc_opys.c \
stralloc_cat.c stralloc_catb.c stralloc_cats.c timeoutconn.h \

## ucspi-tcp 0.88

=== debian/changelog ===
ucspi-tcp (1:0.88-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1098024)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Oct 2025 20:39:49 +0300

ucspi-tcp (1:0.88-13) unstable; urgency=medium

  * Drop the fakeroot-for-setgroups patch, sbuild handles that now.
    Closes: #1101263
  * Declare compliance with Policy 4.7.2 with no changes.
  * Minor refactoring of the autopkgtest internal testing.
  * Salsa CI configuration updates:
    - use the now-canonical debian/salsa-ci.yml filename
    - use the now-canonical "debian" recipe
    - do not target experimental
    - enable some optional features: build twice, force gbp-export-orig,
      enable diffoscope in the reprotest, only allow autopkgtest exit code 0
  * Add the corresponding Conflicts clause in the other direction.
  * Add Replaces clauses between the two packages.

 -- Peter Pentchev <roam@debian.org>  Tue, 25 Mar 2025 12:28:07 +0200

ucspi-tcp (1:0.88-12) unstable; urgency=medium

  * Use debputy's X-Style: black.
  * Add the fakeroot-for-setgroups patch to fix the FTBFS related to
    setgroups(2) in user namespaces. Closes: #1092535
  * autopkgtest: drop the obsolete config/ruff.all.toml file.
  * autopkgtest: use Ruff 0.8.6 with no changes.

 -- Peter Pentchev <roam@debian.org>  Thu, 09 Jan 2025 12:22:05 +0200

ucspi-tcp (1:0.88-11) unstable; urgency=medium

  * Add a missed instance to the 0010-gid-t patch. Closes: #1077203
  * Add my e-mail address to the Author field of the new patches.
  * Fix connecting to more than one host over IPv6. Closes: #1077315

 -- Peter Pentchev <roam@debian.org>  Sun, 28 Jul 2024 13:20:51 +0300

ucspi-tcp (1:0.88-10) unstable; urgency=medium

  * Add the 0007-ssize-t, 0008-int-main, 0009-malloc, and 0010-gid-t
    patches to fix the build with GCC 14. Closes: #1075596
  * autopkgtest:
    - switch from argparse to click for command-line parsing, if only to
      support correctly option values starting with dashes
  * autopkgtest internal test suite:
    - use Ruff 0.5.5 for linting, disable a docstrings exception list check
    - shuffle the Ruff config files around a bit

 -- Peter Pentchev <roam@debian.org>  Fri, 26 Jul 2024 14:54:02 +0300

ucspi-tcp (1:0.88-9) unstable; urgency=medium

  * Import the 0006-implicit-declarations Ubuntu patch to fix
    the FTBFS in Debian unstable due to the new compiler warning
    options turned into errors by default. Closes: #1066629
  * Declare compliance with Policy 4.7.0 with no changes.
  * Bump the debhelper compat level to 14 and let it add some
    default dependencies automatically.
  * autopkgtest: code style: use Ruff 0.5.0 with practically no changes.

 -- Peter Pentchev <roam@debian.org>  Fri, 28 Jun 2024 13:59:27 +0300

ucspi-tcp (1:0.88-8) unstable; urgency=medium

  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.
  * Use dh-package-notes to record ELF package metadata.
  * autopkgtest:
    - fix a server/client mismatch in a log message
    - only pass "-R" if supported, do not pass "--"
    - support verbose logs to the standard output stream
    - run {proto}server with line-buffered stdout and stderr
    - dynamic version, bump it to 0.2.0
    - read all the data from the socket
  * autopkgtest internal test suite:
    - tox.ini: add tags for running tox-stages
    - do not pass the python_version option to mypy, let it check against
      the Python interpreter that it is being run with
    - use hatchling for the PEP517 build
    - convert tox.ini to the Tox 4.x format
    - use Ruff instead of black, flake8, and pylint
    - reformat and refactor the source code according to Ruff's suggestions

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Feb 2024 11:57:42 +0200

ucspi-tcp (1:0.88-7) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add Gitlab CI config file
  * Do not run tests under Gitlab CI

  [ Peter Pentchev ]
  * New maintainer. Closes: #983804
  * Declare compliance with Policy 4.6.2 with no changes.
  * Set the debhelper compat level to 13 with no changes.
  * Add an EditorConfig definitions file.
  * Run a custom test suite at build-time and as an autopkgtest.
  * Clean up after a build.
  * Show the compiler and linker invocations unless "terse" is requested.
  * Do not use "tee" to generate the config files.
  * Add Rules-Requires-Root: no to the source control stanza.
  * Remove leading slashes from debian/*.install.
  * No longer mention ucspi-tcp-doc, no such package for a long time.

 -- Peter Pentchev <roam@debian.org>  Thu, 05 Jan 2023 04:05:08 +0200

ucspi-tcp (1:0.88-6) unstable; urgency=medium

  * Remove references to patched-out `rbl.maps.vix.com' host from manpage
    (Closes: #681739)
  * Install example http server, serving log file with chunked transfer
    encoding (Closes: #772209)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 17 Jan 2019 06:30:43 +0000

ucspi-tcp (1:0.88-5) unstable; urgency=medium

  * Do not include build path into resulting scripts (Closes: #915511)
    + Make upstream build system respect $(DESTDIR) variable

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 05 Dec 2018 15:47:18 +0000

ucspi-tcp (1:0.88-4) unstable; urgency=medium

  * New maintainer (Closes: #907094)
  * Convert patches to quilt
  * Convert `debian/rules' to debhelper
  * Respect compiler flags, provided by dpkg-buildflags(1)
  * Remove very old news from source package
  * Do not install useless files (README, TODO, VERSION)
  * Fix whitespace errors in `debian/control' and `debian/changelog'
  * Update standards version to 4.2.1 (no changes needed)
  * Update Vcs-* fields in debian/control.
  * Make `debian/copyright' comply with dep-5.
  * Add `Homepage' field into `debian/control'
  * Write `debian/watch' file.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 01 Dec 2018 22:02:19 +0000

ucspi-tcp (1:0.88-3.1) unstable; urgency=medium

  * Non-maintainer upload.


=== debian/control ===
Source: ucspi-tcp
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dpkg-build-api (= 1),
 python3 <!nocheck>,
 python3-click <!nocheck>,
 python3-netifaces <!nocheck>,
 python3-utf8-locale <!nocheck>,
Standards-Version: 4.7.2
X-DH-Compat: 14
Homepage: http://cr.yp.to/ucspi-tcp
Vcs-Git: https://salsa.debian.org/debian/ucspi-tcp.git
Vcs-Browser: https://salsa.debian.org/debian/ucspi-tcp
X-Style: black

Package: ucspi-tcp
Conflicts:
 ucspi-tcp-ipv6,
Replaces:
 ucspi-tcp-ipv6,
Architecture: any
Description: command-line tools for building TCP client-server applications
 tcpserver waits for incoming connections and, for each connection, runs a
 program of your choice. Your program receives environment variables showing
 the local and remote host names, IP addresses, and port numbers.
 .
 tcpserver offers a concurrency limit to protect you from running out of
 processes and memory. When you are handling 40 (by default) simultaneous
 connections, tcpserver smoothly defers acceptance of new connections.
 .
 tcpserver also provides TCP access control features, similar to
 tcp-wrappers/tcpd's hosts.allow but much faster. Its access control rules
 are compiled into a hashed format with cdb, so it can easily deal with
 thousands of different hosts.
 .
 This package includes a recordio tool that monitors all the input and output
 of a server.
 .
 tcpclient makes a TCP connection and runs a program of your choice. It sets
 up the same environment variables as tcpserver.
 .
 This package includes several sample clients built on top of tcpclient:
 who@, date@, finger@, http@, tcpcat, and mconnect.
 .
 tcpserver and tcpclient conform to UCSPI, the UNIX Client-Server Program
 Interface, using the TCP protocol. UCSPI tools are
 available for several different networks.

Package: ucspi-tcp-ipv6
Architecture: any
Conflicts:
 ucspi-tcp,
Replaces:
 ucspi-tcp,
Provides:
 ucspi-tcp,
Description: command-line tools for building TCP client-server applications (IPv6)
 ucspi-tcp-ipv6 is the ucspi-tcp package with IPv6 support added.
 .
 tcpserver waits for incoming connections and, for each connection, runs a
 program of your choice. Your program receives environment variables showing
 the local and remote host names, IP addresses, and port numbers.
 .
 tcpserver offers a concurrency limit to protect you from running out of
 processes and memory. When you are handling 40 (by default) simultaneous
 connections, tcpserver smoothly defers acceptance of new connections.
 .
 tcpserver also provides TCP access control features, similar to
 tcp-wrappers/tcpd's hosts.allow but much faster. Its access control rules
 are compiled into a hashed format with cdb, so it can easily deal with
 thousands of different hosts.
 .
 This package includes a recordio tool that monitors all the input and output
 of a server.
 .
 tcpclient makes a TCP connection and runs a program of your choice. It sets
 up the same environment variables as tcpserver.
 .
 This package includes several sample clients built on top of tcpclient:
 who@, date@, finger@, http@, tcpcat, and mconnect.
 .
 tcpserver and tcpclient conform to UCSPI, the UNIX Client-Server Program
 Interface, using the TCP protocol. UCSPI tools are
 available for several different networks.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk
export CFLAGS  += $(shell getconf LFS_CFLAGS) -std=gnu17
export LDFLAGS += $(shell getconf LFS_LDFLAGS)

include /usr/share/debhelper/dh_package_notes/package-notes.mk

PREFIX_IPV4 = $(CURDIR)/debian/ucspi-tcp
PREFIX_IPV6 = $(CURDIR)/debian/ucspi-tcp-ipv6

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export V=1
endif

%:
	dh $@

# The upstream Makefile does not have a 'clean' target, so simulate one.
override_dh_auto_clean:
	sed -nre '/^[a-z0-9@_.-]+:/ { s/:.*//; p; }' Makefile | grep -Fxve it -e default | xargs -r rm -f

override_dh_auto_configure:
	echo '/usr' > conf-home
	echo '$(CC) $(CFLAGS) $(CPPFLAGS)' > conf-cc
	echo '$(CC) $(LDFLAGS)' > conf-ld
ifeq ($(DEBEMAIL),<salsa-pipeline@debian.org>)
	echo 'int main () { return 0; }' > chkshsgr.c
endif
	mkdir ipv6
	xargs install -t ipv6 < FILES
	cd ipv6 && patch -p1 < ../debian/ipv6-support.patch

override_dh_auto_build:
	$(MAKE) DESTDIR=$(PREFIX_IPV4)
	$(MAKE) -C ipv6 DESTDIR=$(PREFIX_IPV6)

override_dh_auto_install:
	mkdir -p $(PREFIX_IPV4)/usr $(PREFIX_IPV6)/usr
	./install
	./instcheck
	cd ipv6 && ./install && ./instcheck
	# ./install incorrectly install manpages under /usr/man, not
	# /usr/share/man.
	rm -r $(PREFIX_IPV6)/usr/man

# Upstream does strange thing -- its test suite assumes that programs
# are already installed. Normally, checks are performed between `build'
# and `install'.
#
# So automatic invocation of tests is inhibited, and they are invoked
# manually at `install' stage.
#
# We run our own test suite instead, one that will also be used in
# the autopkgtest later.
override_dh_auto_test:
	env PYTHONPATH='$(CURDIR)/debian/tests/python' python3 -B -u -m ucspi_tcp_test -d '$(CURDIR)' -p tcp
	env PYTHONPATH='$(CURDIR)/debian/tests/python' python3 -B -u -m ucspi_tcp_test -d '$(CURDIR)/ipv6' -p tcp -i 4
	env PYTHONPATH='$(CURDIR)/debian/tests/python' python3 -B -u -m ucspi_tcp_test -d '$(CURDIR)/ipv6' -p tcp -i 6

=== debian/tests/control ===
Test-Command: set -e; for py in $(py3versions -i); do printf -- '\n\n====== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/debian/tests/python" "$py" -B -u -m ucspi_tcp_test -d /usr/bin -p tcp; done
Depends:
 python3-all,
 python3-click,
 python3-netifaces,
 python3-utf8-locale,
 ucspi-tcp,
Features:
 test-name=debian-python-v4,

Test-Command: set -e; for py in $(py3versions -i); do printf -- '\n\n====== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/debian/tests/python" "$py" -B -u -m ucspi_tcp_test -d /usr/bin -p tcp -i 4; done
Depends:
 python3-all,
 python3-click,
 python3-netifaces,
 python3-utf8-locale,
 ucspi-tcp-ipv6,
Features:
 test-name=debian-python-v6-4,

Test-Command: set -e; for py in $(py3versions -i); do printf -- '\n\n====== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/debian/tests/python" "$py" -B -u -m ucspi_tcp_test -d /usr/bin -p tcp -i 6; done
Depends:
 python3-all,
 python3-click,
 python3-netifaces,
 python3-utf8-locale,
 ucspi-tcp-ipv6,
Features:
 test-name=debian-python-v6,

=== debian/watch ===
version=4
https://cr.yp.to/ucspi-tcp/install.html \
  .*ucspi-tcp-@ANY_VERSION@.tar.gz

## ucspi-tcp 1.1.4

=== debian/changelog ===
ucspi-tcp (1.1.4-1.1+46.3) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 03 Oct 2025 11:15:56 +0000

ucspi-tcp (1.1.4-1.1) stable; urgency=low

  * tcpclient.c: added starttls capability for imap
  * dotls.c: added starttls handler for imap
  * tcpclient.c: added -e option to get remote host address from /etc/hosts
  * getip.c: new function getip() which uses getaddrinfo() to get remote host address
  * tcpserver.c: use INET6_ADDRLENSTRLEN for AF_INET6
  * Fixes for installer from daemontools package
  * Fix errors when using GCC14
  * installer.c: Fix SEGSEGV

 -- Manvendra Bhangui <ucspi-tcp@indimail.org>  Tue, 15 Apr 2025 02:55:11 +0000

=== debian/control ===
Source: ucspi-tcp
Section: net
Priority: optional
Maintainer: Manvendra Bhangui <ucspi-tcp@indimail.org>
Standards-Version: 3.9.1
Build-Depends: cdbs, debhelper (>= 9), gcc, g++, automake, libqmail-dev, libssl-dev, m4, gawk
Homepage: https://github.com/indimail/indimail-mta

Package: ucspi-tcp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, diffutils
Description: tcpserver and tcpclient are easy-to-use command-line tools for building
 TCP client-server applications.
 .
 tcpserver waits for incoming connections and, for each connection, runs
 a program of your choice. Your program receives environment variables
 showing the local and remote host names, IP addresses, and port numbers.
 .
 tcpserver offers a concurrency limit to protect you from running out of
 processes and memory. When you are handling 40 (by default) simultaneous
 connections, tcpserver smoothly defers acceptance of new connections.
 .
 tcpserver also provides TCP access control features, similar to
 tcp-wrappers/tcpd\'s hosts.allow but much faster. Its access control
 rules are compiled into a hashed format with cdb, so it can easily deal
 with thousands of different hosts.
 .
 This package includes a recordio tool that monitors all the input and
 output of a server.
 .
 tcpclient makes a TCP connection and runs a program of your choice. It
 sets up the same environment variables as tcpserver.
 .
 This package includes several sample clients built on top of tcpclient:
 who@, date@, finger@, http@, tcpcat, and mconnect.
 .
 tcpserver and tcpclient conform to UCSPI, the UNIX Client-Server Program
 Interface, using the TCP protocol. This package supports ipv6 and TLS
 connections.

=== debian/rules ===
#!/usr/bin/make -f

# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = "-fno-lto"
export DEB_LDFLAGS_MAINT_APPEND = "-fno-lto"

# This is the debhelper compatibility version to use.
# export DH_COMPAT=4
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

prefix=/usr
qsysconfdir=/etc/indimail
shareddir=/usr/share/indimail
libexecdir=/usr/libexec/indimail
servicedir=/service
mandir=/usr/share/man
version=1.1.4

tcpserver_plugin=1
arch=$(shell uname -m)
cp=/bin/cp
rm=/bin/rm

DESTDIR=$(CURDIR)/debian/ucspi-tcp.tmp

build: build-stamp
build-stamp:
	dh_testdir
	#
	# run configure script
	#
	if [ $(tcpserver_plugin) -eq 1 ] ; then \
		echo "-DLOAD_SHARED_OBJECTS" > conf-dlopen; \
	else \
		/bin/rm -f conf-dlopen; \
	fi
	#
	# run make
	#
	sed 's{PREFIX{${prefix}{'          conf-prefix.in     > conf-prefix
	sed 's{SYSCONFDIR{${qsysconfdir}{' conf-sysconfdir.in > conf-sysconfdir
	sed 's{SHAREDDIR{${shareddir}{'    conf-shared.in     > conf-shared
	sed 's{LIBEXECDIR{${libexecdir}{'  conf-libexec.in    > conf-libexec
	sed 's{SERVICEDIR{${servicedir}{'  conf-servicedir.in > conf-servicedir
	$(MAKE) CFLAGS="$(dpkg-buildflags --get CFLAGS) ${CFLAGS}" \
		LDFLAGS="$(dpkg-buildflags --get LDFLAGS) ${LDFLAGS}"  SYSTEM=LINUX -s DESTDIR=$(DESTDIR)
	( \
	echo NAME=ucspi-tcp; \
	echo Description=\"Unix Client-Server Program Interface\"; \
	echo UCSPI_TCP_version=$(version); \
	echo ID=ucspi-tcp; \
	echo HOME_URL="https://github.com/indimail/indimail-mta"; \
	echo PACKAGE_BUGREPORT=\"'Manvendra Bhangui <ucspi-tcp@indimail.org>'\"; \
	) > ucspi-tcp-release
	touch build-stamp

clean:
	rm -f build-stamp configure-stamp
	${rm} -rf $(DESTDIR)
	FAKED_MODE=1;export FAKED_MODE; \
	$(MAKE) SYSTEM=LINUX -s clean||true; \
	unset FAKED_MODE;
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep || dh_clean -k
	dh_installdirs
	FAKED_MODE=1;export FAKED_MODE; \
	$(MAKE) SYSTEM=LINUX -s install DESTDIR=$(DESTDIR); \
	unset FAKED_MODE; \
	if [ -f ucspi-tcp.perms ] ; then \
		mkdir -p $(DESTDIR)$(qsysconfdir); \
		install -m 0644 ucspi-tcp.perms "$(DESTDIR)$(qsysconfdir)"/ucspi-tcp.perms; \
	fi
	install -m 0644 ucspi-tcp-release "$(DESTDIR)$(qsysconfdir)"/ucspi-tcp-release
	/bin/rm -f ucspi-tcp-release ucspi-tcp-x

binary-indep: build install
	dh_testdir
	dh_testroot
	find $(DESTDIR)$(mandir) -name '*'.? -type f -exec gzip -q {} \;
	dh_install --sourcedir=$(DESTDIR) -pucspi-tcp
	dh_installchangelogs
	dh_installcron
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs -V
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here. 
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
